org.apache.felix.webconsole.plugins.upnp.internal

## Class WebConsolePlugin

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.webconsole.AbstractWebConsolePlugin
      - - org.apache.felix.webconsole.SimpleWebConsolePlugin
        - - org.apache.felix.webconsole.plugins.upnp.internal.WebConsolePlugin

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class WebConsolePlugin
    extends org.apache.felix.webconsole.SimpleWebConsolePlugin

Provides Web Console interface to UPnP Devices.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`ATTR_FILEUPLOAD, GET_RESOURCE_METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`WebConsolePlugin(org.osgi.util.tracker.ServiceTracker tracker)` Creates new plugin

### Method Summary

Methods
`void` `activate(org.osgi.framework.BundleContext bundleContext)`
`void` `deactivate()`
`protected void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` `getCategory()`
`protected void` `renderContent(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

### Methods inherited from class org.apache.felix.webconsole.SimpleWebConsolePlugin

`getCssReferences, getLabel, getResource, getService, getTitle, register, unregister`

### Methods inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`endResponse, getBrandingPlugin, getBundle, getBundleContext, getParameter, getResourceProvider, getServletName, isHtmlRequest, log, log, readTemplateFile, renderTopNavigation, sendRedirect, setBrandingPlugin, setLogLevel, startResponse`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebConsolePlugin

    public WebConsolePlugin(org.osgi.util.tracker.ServiceTracker tracker)

Creates new plugin

Parameters:
  `tracker` - the UPnP Device tracker

### Method Detail

#### getCategory

    public java.lang.String getCategory()

#### activate

    public void activate(org.osgi.framework.BundleContext bundleContext)

Overrides:
  `activate` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
See Also:
  `AbstractWebConsolePlugin.activate(org.osgi.framework.BundleContext)`

#### deactivate

    public void deactivate()

Overrides:
  `deactivate` in class `org.apache.felix.webconsole.SimpleWebConsolePlugin`
See Also:
  `SimpleWebConsolePlugin.deactivate()`

#### renderContent

    protected void renderContent(javax.servlet.http.HttpServletRequest req,
                     javax.servlet.http.HttpServletResponse res)
                          throws javax.servlet.ServletException,
                                 java.io.IOException

Specified by:
  `renderContent` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
Throws:
  `javax.servlet.ServletException`
  `java.io.IOException`
See Also:
  `AbstractWebConsolePlugin.renderContent(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

#### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
              javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `java.io.IOException`
See Also:
  `HttpServlet.doPost(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

#### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
             javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

Overrides:
  `doGet` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
Throws:
  `javax.servlet.ServletException`
  `java.io.IOException`
See Also:
  `AbstractWebConsolePlugin.doGet(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`